Bug 209872 - cad/openvsp: Update to 3.6.1
Summary: cad/openvsp: Update to 3.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-30 21:28 UTC by Fernando Apesteguía
Modified: 2016-06-05 10:11 UTC (History)
1 user (show)

See Also:


Attachments
Patch to the ports tree (1.37 KB, patch)
2016-05-30 21:28 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details | Diff
poudriere log on 10.1-RELEASE-amd64 (364.92 KB, text/x-log)
2016-05-30 21:29 UTC, Fernando Apesteguía
no flags Details
poudriere log on 10.3-RELEASE-amd64 (364.55 KB, text/x-log)
2016-05-30 21:30 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2016-05-30 21:28:53 UTC
Created attachment 170842 [details]
Patch to the ports tree

The attached patch updates cad/openvsp to version 3.6.1

Very simple update.

Attached poudriere logs for {10.1,10.3}amd64.

Note: the port never compiled on < 10 since one of the dependencies (graphics/code-eli) is broken.
Comment 1 Fernando Apesteguía freebsd_committer 2016-05-30 21:29:42 UTC
Created attachment 170843 [details]
poudriere log on 10.1-RELEASE-amd64
Comment 2 Fernando Apesteguía freebsd_committer 2016-05-30 21:30:08 UTC
Created attachment 170844 [details]
poudriere log on 10.3-RELEASE-amd64
Comment 3 VK freebsd_triage 2016-05-30 23:04:50 UTC
Thanks for the report. Is the update of the kind to consider for MFH? Please set the merge-quarterly? flag if you think so.
Comment 4 Fernando Apesteguía freebsd_committer 2016-05-31 08:40:05 UTC
(In reply to Vladimir Krstulja from comment #3)
Done.

Yes, it'd be nice to have it in the quaterly branch.

Thanks for the tip.
Comment 5 Kurt Jaeger freebsd_committer 2016-06-02 19:02:54 UTC
MFH is only, if it's a security fix or broken, see:

https://wiki.freebsd.org/Quarterly_Branch
Comment 6 Kurt Jaeger freebsd_committer 2016-06-02 19:04:14 UTC
And please provide a changelog or a link to one, if you find one (and note otherwise).
Comment 7 Kurt Jaeger freebsd_committer 2016-06-02 19:08:06 UTC
testbuild on 11amd (non-poudriere) is ok.
Comment 8 Fernando Apesteguía freebsd_committer 2016-06-02 21:25:54 UTC
(In reply to Kurt Jaeger from comment #5)
Sorry, I wasn't aware of that.
Comment 9 Fernando Apesteguía freebsd_committer 2016-06-02 21:26:15 UTC
(In reply to Kurt Jaeger from comment #6)

This is the closest I could find:

http://openvsp.org/blogs/announcements/2016/05/30/openvsp-3-6-1-released
Comment 10 commit-hook freebsd_committer 2016-06-05 10:10:20 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 10:10:06 UTC 2016
New revision: 416391
URL: https://svnweb.freebsd.org/changeset/ports/416391

Log:
  cad/openvsp: 3.6.0 -> 3.6.1

  Changes:
    http://openvsp.org/blogs/announcements/2016/05/30/openvsp-3-6-1-released

  PR:		209872
  Submitted by:	fernando.apesteguia@gmail.com (maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
  head/cad/openvsp/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2016-06-05 10:10:55 UTC
testbuilds are ok, 9.3a is expected to fail because of code-eli not building on 9.3a.
Comment 12 Kurt Jaeger freebsd_committer 2016-06-05 10:11:22 UTC
Committed, thanks!